package access;

import java.io.*;

public class Database implements DatabaseConstants
{

    public void createFolders()
    {
        File fFolder= new File(EVENT_SOUND_MAPPING_FILE_PATH);
        System.out.println(fFolder.mkdirs() + "MAKE FOLDER STATUS");

    }

    public Object readObject(String sFileName)
    {

        if(sFileName == null)
        {
            return null;
        }
        try
        {
            FileInputStream objFIS = new FileInputStream(sFileName);
            ObjectInputStream objOIS = new ObjectInputStream(objFIS);
            return objOIS.readObject();
        }
        catch(IOException e)
        {
            return null;
        }
        catch(ClassNotFoundException cnfe)
        {
            return null;
        }
    }

    public boolean writeObject(String sFileName, Object objData)
    {
        if(sFileName == null || objData == null)
        {
            return false;
        }
        else
        {
            try
            {
                FileOutputStream objFOS = new FileOutputStream(sFileName);
                ObjectOutputStream objOOS = new ObjectOutputStream(objFOS);

                objOOS.writeObject(objData);
            }
            catch(IOException e)
            {
                return false;
            }
        }
        return true;
    }

}