package network;

/**Test the application&nbsp;<br><table font style=arial size=2 border=1 bordercolor = black cellspacing=0 textwrap=true width=70%><br><tr font face=bold><td bgcolor=peachpuff><b>NAME</b></td><td>
*TestClass.java
</td></tr><tr><td bgcolor=peachpuff><b>AUTHOR</b></td><td>
 *Jagadish Prasath R.
 *</td></tr><tr><td bgcolor=peachpuff><b>DATE CREATED</b></td><td>
 *10-11-03
 *</td></tr><tr><td bgcolor=peachpuff><b>PURPOSE</b></td><td>
 *Test the application
 *</td></tr><tr><td bgcolor=peachpuff><b>EXTERNAL REFERENCE</td><td>
 *Test Case 1.1
 *</td></tr></table><br><br><table border=1 cellspacing=0 bordercolor=black textwrap=true><tr bgcolor=peachpuff><th COLSPAN=3 bgcolor=peachpuff>
 *REVISION HISTORY
 *</th></tr><tr bgcolor=peachpuff><th>AUTHOR</th><th>DATE</th><th>CHANGE DESCRIPTION</th></tr><tr><td>
 *&nbsp;
 * </td> <td>
 *&nbsp;
 * </td> <td>
 *&nbsp;
 * </td></tr> </table>
 */

import business.ConfigurationManager;
import business.EventSoundMapping;

import java.util.Hashtable;


/**to Test the application&nbsp;<br><table font style=arial size=2 border=1 bordercolor = black cellspacing=0 textwrap=true width=70%><br><tr font face=bold><td bgcolor=peachpuff>
<b>Name</b></td><td>
 * TestClass
 *</td></tr><tr><td bgcolor=peachpuff><b>Author</b></td><td>
 *Jagadish Prasath R.
 *</td></tr><tr><td bgcolor=peachpuff><b>Date Created</b></td><td>
 *10-11-03
 *</td></tr><tr><td bgcolor=peachpuff><b>Purpose</b></td><td>
 *to Test the application
 *</td></tr><tr><td bgcolor=peachpuff><b>Collaborators</b></td><td>
 *Configuration Manager
 *</td></tr><tr><td bgcolor=peachpuff><b>External Reference</b></td><td>
 *Test Case 1.1
 *</td></tr></table><br><br><table border=1 cellspacing=0 bordercolor=black textwrap=true><tr bgcolor=peachpuff><th COLSPAN=3 bgcolor=peachpuff><b>Revision
History</b>
 *</th></tr><tr bgcolor=peachpuff><th><b>Author</b></th><th><b>Date</b></th><th><b>Change Description</b></th></tr><tr><td>
 * &nbsp;
 * </td> <td>
 * &nbsp;
 * </td> <td>
 * &nbsp;
 * </td> </tr> </table>
 */
public class TestClass
{
    public TestClass()
    {
        ConfigurationManager objCM = new ConfigurationManager();
        objCM.setNetworkInfo("localhost","1099");
        {
        Hashtable htEvents = new Hashtable();
        EventSoundMapping objESM1 = new EventSoundMapping("dtrack","Piano","0",0);
        EventSoundMapping objESM2 = new EventSoundMapping("dtrack","Piano","0",0);
        EventSoundMapping objESM3 = new EventSoundMapping("dtrack","Piano","0",0);

        htEvents.put(objESM1.getEventName(),objESM1);
        htEvents.put(objESM2.getEventName(),objESM2);
        htEvents.put(objESM3.getEventName(),objESM3);

        ConfigurationManager.registerAuralisedProgram("Test.java",htEvents);
        }

        {
        Hashtable htEvents = new Hashtable();
        EventSoundMapping objESM1 = new EventSoundMapping("for","guitar","0",0);
        EventSoundMapping objESM2 = new EventSoundMapping("while","guitar","0",0);
        EventSoundMapping objESM3 = new EventSoundMapping("do_while","guitar","0",0);

        htEvents.put(objESM1.getEventName(),objESM1);
        htEvents.put(objESM2.getEventName(),objESM2);
        htEvents.put(objESM3.getEventName(),objESM3);

        ConfigurationManager.registerAuralisedProgram("SecondTest.java",htEvents);
            //registerProgramForListener("SecondTest.java",)
        }

    }

    /**To start the program execution.&nbsp;<br><table font style=arial size=2 border=1 bordercolor = black cellspacing=0 textwrap=true width=70%><br><tr font face=bold><td bgcolor=peachpuff><b>Name</b></td><td>
     *main
     *</td></tr><tr><td bgcolor=peachpuff><b>Author</b></td><td>
     * R. Jagadish Prasath
     *</td></tr><tr><td bgcolor=peachpuff><b>Date Created (MM/DD/YYYY)</b></td><td>
     * 10-11-03
     *</td></tr><tr><td bgcolor=peachpuff><b>Purpose</b></td><td>
     *To start the program execution.
     *</td></tr><tr><td bgcolor=peachpuff><b>Arguments</b></td><td>
     *args[] array: String array
     *</td></tr><tr><td bgcolor=peachpuff><b>Return Type</b></td><td>
     *void
     *</td></tr><td bgcolor=peachpuff><b>External Reference</td><td>
     * None
     *</td></tr></table><br><br><table border=1 cellspacing=0 bordercolor=black textwrap=true><tr bgcolor=peachpuff><th COLSPAN=3 bgcolor=peachpuff><b>Revision History</b></th></tr><tr bgcolor=peachpuff><th><b>Author</b></th><th><b>Date</b></th><th><b>Change Description</b></th></tr><tr><td>
     *&nbsp;
     * </td><td>
     * &nbsp;
     * </td><td>
     * &nbsp;
     * </td></tr></table>
     */
    public static void main(String[] args)
    {
        TestClass objTC = new TestClass();
    }
}