package business;

import access.RegisteredProgramsDB;
import access.EventSoundMappingDB;

import java.util.Hashtable;
import java.io.Serializable;


public class RegisteredPrograms implements Serializable
{
    private Hashtable htPrograms;


    public RegisteredPrograms()
    {
        RegisteredProgramsDB  objRegisteredProgramsDB = new RegisteredProgramsDB();
        if((htPrograms=objRegisteredProgramsDB.retrieveProgramNames()) == null)
            htPrograms = new Hashtable();

    }

    public Hashtable getEventSoundHandlers(String sProgramName)
    {
        EventSoundMappingDB objESDB = new EventSoundMappingDB();
        return objESDB.getEventSoundHandlers(sProgramName);
    }
    public Hashtable getProgramNames()
    {
        RegisteredProgramsDB objRPDB = new RegisteredProgramsDB();
        return objRPDB.retrieveProgramNames();
    }

    public boolean addProgram(String sProgramName, Hashtable htEventSoundMappings)
    {
        System.out.println("Program Added : " + sProgramName);
        EventSoundMappingDB objESDB = new EventSoundMappingDB();
        RegisteredProgramsDB  objRegisteredProgramsDB = new RegisteredProgramsDB();

        htPrograms.put(sProgramName, sProgramName);

        objESDB.storeEventSoundHandlers(htEventSoundMappings, sProgramName);
        return objRegisteredProgramsDB.storeProgramNames(htPrograms);

    }

    public boolean removeProgram(String sProgramName)
    {
        htPrograms.remove(sProgramName);

        EventSoundMappingDB objESDB = new EventSoundMappingDB();
        RegisteredProgramsDB  objRegisteredProgramsDB = new RegisteredProgramsDB();

        objRegisteredProgramsDB.storeProgramNames(htPrograms);
        return objESDB.removeEventSoundHandler(sProgramName);
    }
}


